Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001139KdenliveUser Interfacepublic2009-09-15 23:152010-02-02 10:38
Reportervshader 
Assigned Toddennedy 
PrioritynormalSeveritycrashReproducibilityrandom
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionRecent git 
Target VersionFixed in Version0.7.6 
Summary0001139: crash while moving clip on timeline
DescriptionKdenlive crashed when I tried to move clip on timeline left. It became completely randomly.
Additional InformationApplication that crashed: kdenlive
Version of the application: 0.7.5 (rev. 3882)
KDE Version: 4.3.00 (KDE 4.3.0)
Qt Version: 4.5.2
Operating System: Linux 2.6.31custom1 x86_64
Distribution: "Fedora release 11 (Leonidas)"

 -- Backtrace:
Application: Kdenlive (kdenlive), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f34927bf820 (LWP 19409))]

Thread 3 (Thread 0x7f347d6a3910 (LWP 19684)):
#0 0x0000003aabad50d3 in *__GI___poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1 0x0000003aad60882a in ?? () from /usr/lib64/libxcb.so.1
0000002 0x0000003aad608d67 in ?? () from /usr/lib64/libxcb.so.1
0000003 0x0000003aad609015 in xcb_writev () from /usr/lib64/libxcb.so.1
0000004 0x0000003aace4c8aa in _XSend () from /usr/lib64/libX11.so.6
0000005 0x0000003aace4cdf5 in _XFlush () from /usr/lib64/libX11.so.6
0000006 0x0000003aace24d7a in XFlush () from /usr/lib64/libX11.so.6
0000007 0x00007f3483243eb8 in ?? () from /usr/lib64/libSDL-1.2.so.0
0000008 0x00007f348323625c in SDL_UpdateRect () from /usr/lib64/libSDL-1.2.so.0
0000009 0x00007f34832366c5 in SDL_Flip () from /usr/lib64/libSDL-1.2.so.0
0000010 0x00007f34834a9a41 in consumer_play_video (frame=<value optimized out>, this=<value optimized out>) at consumer_sdl_still.c:526
0000011 consumer_thread (frame=<value optimized out>, this=<value optimized out>) at consumer_sdl_still.c:563
0000012 0x0000003aac60686a in start_thread (arg=<value optimized out>) at pthread_create.c:297
0000013 0x0000003aabade3bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
0000014 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f347dea4910 (LWP 19685)):
#0 pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1 0x00007f34834a8cfd in consumer_thread (arg=<value optimized out>) at consumer_sdl_preview.c:385
0000002 0x0000003aac60686a in start_thread (arg=<value optimized out>) at pthread_create.c:297
0000003 0x0000003aabade3bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
0000004 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f34927bf820 (LWP 19409)):
[KCrash Handler]
0000005 0x00007f3486906871 in av_read_packet () from /usr/local/kdenlive/trunk//lib/libavformat.so.52
0000006 0x00007f3486907b79 in ?? () from /usr/local/kdenlive/trunk//lib/libavformat.so.52
0000007 0x00007f3486bdbcb8 in producer_get_image (frame=<value optimized out>, buffer=<value optimized out>, format=<value optimized out>, width=<value optimized out>, height=<value optimized out>,
    writable=<value optimized out>) at producer_avformat.c:845
0000008 0x00007f3492a35406 in mlt_frame_get_image (this=0x6f441c0, buffer=0x7fff1a858248, format=0x7fff1a8582ac, width=0x7fff1a85802c, height=0x7fff1a858024, writable=<value optimized out>)
    at mlt_frame.c:276
0000009 0x00007f3484c754d6 in filter_get_image (this=0x6f441c0, image=<value optimized out>, format=0x7fff1a8582ac, width=0x7fff1a85802c, height=0x7fff1a858024, writable=1) at filter_crop.c:71
0000010 0x00007f3492a35406 in mlt_frame_get_image (this=0x6f441c0, buffer=0x7fff1a858248, format=0x7fff1a8582ac, width=0x7fff1a85802c, height=0x7fff1a858024, writable=<value optimized out>)
    at mlt_frame.c:276
0000011 0x00007f34871f18d9 in filter_get_image (this=0x6f441c0, image=0x7fff1a858248, format=0x7fff1a8582ac, width=0x7fff1a85802c, height=<value optimized out>, writable=1) at filter_deinterlace.c:51
0000012 0x00007f3492a35406 in mlt_frame_get_image (this=0x6f441c0, buffer=0x7fff1a858248, format=0x7fff1a8582ac, width=0x7fff1a85802c, height=0x7fff1a858024, writable=<value optimized out>)
    at mlt_frame.c:276
0000013 0x00007f3484c799c6 in filter_get_image (this=0x6f441c0, image=0x7fff1a858248, format=<value optimized out>, width=0x7fff1a85815c, height=0x7fff1a858158, writable=0) at filter_rescale.c:213
0000014 0x00007f3492a35406 in mlt_frame_get_image (this=0x6f441c0, buffer=0x7fff1a858248, format=0x7fff1a8582ac, width=0x7fff1a85815c, height=0x7fff1a858158, writable=<value optimized out>)
    at mlt_frame.c:276
0000015 0x00007f3484c79e5a in filter_get_image (this=0x6f441c0, image=0x7fff1a858248, format=0x7fff1a8582ac, width=0x7fff1a858280, height=0x7fff1a85827c, writable=0) at filter_resize.c:260
0000016 0x00007f3492a35406 in mlt_frame_get_image (this=0x6f441c0, buffer=0x7fff1a858248, format=0x7fff1a8582ac, width=0x7fff1a858280, height=0x7fff1a85827c, writable=<value optimized out>)
    at mlt_frame.c:276
0000017 0x00007f349281b7d2 in Mlt::Frame::get_image(mlt_image_format&, int&, int&, int) () from /usr/local/kdenlive/trunk/lib/libmlt++.so.3
0000018 0x0000000000516989 in KThumb::getFrame (producer=0x1def6d0, framepos=60902, width=66, height=50) at /home/vshader/kdenlive-trunk/kdenlive/src/kthumb.cpp:255
0000019 0x0000000000516590 in KThumb::extractImage (this=0x1d844e0, frame=-1, frame2=60902) at /home/vshader/kdenlive-trunk/kdenlive/src/kthumb.cpp:197
0000020 0x00000000005176d7 in KThumb::qt_metacall (this=0x1d844e0, _c=QMetaObject::InvokeMetaMethod, _id=3, _a=0x7fff1a8586b0) at /home/vshader/kdenlive-trunk/kdenlive/src/cmake_bindir/kthumb.moc:169
0000021 0x0000003ab93547dc in QMetaObject::activate (sender=0x1bed0c0, from_signal_index=<value optimized out>, to_signal_index=<value optimized out>, argv=0x7fff1a857b70) at kernel/qobject.cpp:3113
0000022 0x0000000000511733 in ClipItem::getThumb (this=0x1bed0c0, _t1=-1, _t2=60902) at /home/vshader/kdenlive-trunk/kdenlive/src/cmake_bindir/clipitem.moc:115
0000023 0x00000000005056cd in ClipItem::slotGetEndThumb (this=0x1bed0c0) at /home/vshader/kdenlive-trunk/kdenlive/src/clipitem.cpp:507
0000024 0x000000000051149d in ClipItem::qt_metacall (this=0x1bed0c0, _c=QMetaObject::InvokeMetaMethod, _id=3, _a=0x7fff1a8588a0) at /home/vshader/kdenlive-trunk/kdenlive/src/cmake_bindir/clipitem.moc:94
0000025 0x0000003ab93547dc in QMetaObject::activate (sender=0x1bed1d0, from_signal_index=<value optimized out>, to_signal_index=<value optimized out>, argv=0x7fff1a857b70) at kernel/qobject.cpp:3113
0000026 0x0000003ab934e7de in QObject::event (this=0x1bed1d0, e=0x1a2) at kernel/qobject.cpp:1075
0000027 0x0000003abb38f69c in QApplicationPrivate::notify_helper (this=0xe3ccf0, receiver=0x1bed1d0, e=0x7fff1a858ea0) at kernel/qapplication.cpp:4056
0000028 0x0000003abb3968fe in QApplication::notify (this=0x7fff1a859200, receiver=0x1bed1d0, e=0x7fff1a858ea0) at kernel/qapplication.cpp:4021
0000029 0x0000003abc411296 in KApplication::notify(QObject*, QEvent*) () from /usr/lib64/libkdeui.so.5
0000030 0x0000003ab933f59c in QCoreApplication::notifyInternal (this=0x7fff1a859200, receiver=0x1bed1d0, event=0x7fff1a858ea0) at kernel/qcoreapplication.cpp:610
0000031 0x0000003ab9369fc2 in QCoreApplication::sendEvent (event=<value optimized out>, receiver=<value optimized out>) at kernel/qcoreapplication.h:213
0000032 QTimerInfoList::activateTimers (event=<value optimized out>, receiver=<value optimized out>) at kernel/qeventdispatcher_unix.cpp:572
0000033 0x0000003ab93679ed in timerSourceDispatch (source=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:165
0000034 0x0000003aade37abe in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
0000035 0x0000003aade3b278 in ?? () from /lib64/libglib-2.0.so.0
0000036 0x0000003aade3b3a0 in g_main_context_iteration () from /lib64/libglib-2.0.so.0
0000037 0x0000003ab9367936 in QEventDispatcherGlib::processEvents (this=0xe22f60, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:327
0000038 0x0000003abb421f8e in QGuiEventDispatcherGlib::processEvents (this=0x0, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:202
0000039 0x0000003ab933ded2 in QEventLoop::processEvents (this=<value optimized out>, flags={i = 36}) at kernel/qeventloop.cpp:149
0000040 0x0000003ab933e2a4 in QEventLoop::exec (this=0x7fff1a859140, flags={i = 0}) at kernel/qeventloop.cpp:201
0000041 0x0000003ab9340439 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:888
0000042 0x0000000000441c53 in main (argc=1, argv=0x7fff1a859758) at /home/vshader/kdenlive-trunk/kdenlive/src/main.cpp:86

Wy?lij raport do http://kdenlive.org/mantis [^]
TagsNo tags attached.
Build/Install MethodManual build from SVN
Attached Files

- Relationships

-  Notes
(0003906)
ddennedy (developer)
2009-09-16 07:05
edited on: 2009-09-28 20:45

Hard to say for certain from the backtrace, but this does look like it might be related to recent concurrency bugfixes in MLT. If you have a chance to update MLT from git, please try.

(0004201)
vshader (reporter)
2009-10-22 00:04

Now I have latest git MLT and didn't notice any crash with similar backtrace.
(0004202)
ddennedy (developer)
2009-10-22 00:44

Appears to be fixed in MLT v0.4.6. Reopen if reappears.

- Issue History
Date Modified Username Field Change
2009-09-15 23:15 vshader New Issue
2009-09-15 23:15 vshader Build/Install Method => Manual build from SVN
2009-09-16 07:05 ddennedy Note Added: 0003906
2009-09-28 12:06 j-b-m Status new => feedback
2009-09-28 20:45 ddennedy Note Edited: 0003906 View Revisions
2009-10-22 00:04 vshader Note Added: 0004201
2009-10-22 00:44 ddennedy Note Added: 0004202
2009-10-22 00:44 ddennedy Status feedback => resolved
2009-10-22 00:44 ddennedy Fixed in Version => 0.7.6
2009-10-22 00:44 ddennedy Resolution open => fixed
2009-10-22 00:44 ddennedy Assigned To => ddennedy
2010-02-02 10:34 j-b-m Fixed in Version 0.7.6 => 0.7.7
2010-02-02 10:37 j-b-m Fixed in Version 0.7.7 => 0.7.6
2010-02-02 10:38 j-b-m Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker